Name: job
Version: 1.5.0
Release: 0.1
Summary: Commands, init scripts, libraries and PAM module for using Linux Jobs
Source: job-1.5.0.tar.gz
License: GPL
URL: http://oss.sgi.com/projects/pagg
Group: System Environment/Base
Vendor: Silicon Graphics, Inc.
Packager: Silicon Graphics, Inc. <http://www.sgi.com/>
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The job package provides a set of commands, a PAM module, man pages,
and configuration files.  The commands are used to send signals to jobs,
wait on jobs, get status information about jobs, and for administrators
to control process attachment to jobs.  The PAM module allows the
administrator to specify which point-of-entry services on the system
(rlogin, gdm, xdm, ftp, etc.) should create new jobs.

Install the job package if you are interested in using Linux Jobs to manage
work on the system.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -c job-%{version}-%{release}
#lbs-  %setup -q -n %{name}
#%setup

%build
make ROOT="$RPM_BUILD_ROOT" build

%install
make ROOT="$RPM_BUILD_ROOT" install

%clean
rm -rf $RPM_BUILD_ROOT

%files
/etc/rc.d/init.d/job
/lib/security/pam_job.so
/usr/include/job.h
/usr/lib/libjob.so
/usr/bin/jattach
/usr/bin/jdetach
/usr/bin/jkill
/usr/bin/jsethid
/usr/bin/jstat
/usr/bin/jwait
/usr/share/man/*/*
%doc AUTHORS COPYING INSTALL README

%preun
if [ "$1" = 0 ] ; then 
	SAFE=`fgrep -s pam_job.so /etc/pam.d/* | wc -l`
	if [ $SAFE -ne 0 ] ; then
		echo "You must remove all references to pam_job.so in the "
		echo "/etc/pam.d/* config files before attempting to uninstall"
		echo "the job package."
		echo ""
		exit 1
	fi
	which chkconfig > /dev/null
	if [ $? -eq 0 ] ; then
		chkconfig --del job
	fi
fi
exit 0

%post
which chkconfig > /dev/null
if [ $? -eq 0 ] ; then
	chkconfig --add job
fi
echo "You must add references to pam_job.so in the /etc/pam.d/* config"
echo "files to enable the PAM services for creating jobs.  You only"
echo "need to add the reference for services that you want to fall under"
echo "job control."
echo ""
echo "Example entry when able to use session modules:"
echo ""
echo "    session    optional    /lib/security/pam_job.so"
echo ""
echo "Example entry when required to use account modules:"
echo ""
echo "    account    optional   /lib/security/pam_job.so"
echo ""
echo "Consult the /usr/share/doc/job-1.4/README file for additional"
echo "information about the PAM module."
echo ""
exit 0

# The noship RPM contains simply the jobtest program right now
%package test-SGINoShip
Group: System Environment/Base
Summary: A test program for linux jobs.
%description test-SGINoShip
A simple test program to sanity check some aspects of the jobs package.
%files test-SGINoShip
/usr/bin/jobtest
